#!/bin/bash
cd /home/volumio/Install_amoled

# Waveshare Amoled timing
BT=/boot/userconfig.txt
if ! grep -q 'hdmi_timings=1080 1 26 4 50 1920 1 8 2 6 0 0 0 60 0 135580000 3' $BT; then
	sudo sed -i '/# Add your custom config.txt options/a\
max_framebuffer_height=1920\
config_hdmi_boost=10\
hdmi_group=2\
hdmi_mode=87\
hdmi_timings=1080 1 26 4 50 1920 1 8 2 6 0 0 0 60 0 135580000 3\
hdmi_drive=1\
hdmi_blanking=1' $BT
fi

# add scale factor, cache settings and some scrolling settings
[ ! -d "backup/touch" ] && mkdir -p backup/touch
VK=/opt/volumiokiosk.sh
if ! grep -q 'disable-smooth-scrolling' $VK; then
	cp -f $VK backup/touch
	sudo sed -i '/chromium-browser/a\
    --disable-smooth-scrolling \\\
    --disable-gpu-compositing \\\
    --enable-experimental-canvas-features \\\
    --enable-scroll-prediction \\\
    --disable-quic \\\
    --max-tiles-for-interest-area=512 \\\
    --num-raster-threads=4 \\\
    --enable-low-res-tiling \\\
    --enable-native-gpu-memory-buffers \\\
    --enable-gpu-rasterization \\\
    --enable-zero-copy \\\
    --use-gl=egl \\\
    --disk-cache-dir='\''/tmp/chromium'\'' \\' $VK
fi
if ! grep -q 'force-device-scale-factor' $VK; then
	sudo sed -i '/chromium-browser/a\
    --force-device-scale-factor=2.0 \\' $VK
fi

## replace 'TransformationMatrix' with 'CalibrationMatrix'
## prevent randomly rotation problem of mouse input with touch  
#TSC=/data/plugins/miscellanea/touch_display/index.js
#[ ! -d "backup/touch" ] && mkdir backup/touch
#if ! grep -q 'CalibrationMatrix' $TSC; then
#	cp -f $TSC backup/touch
#	sed -i 's/TransformationMatrix/CalibrationMatrix/g' $TSC
#fi
#TSC=/etc/X11/xorg.conf.d/95-touch_display-plugin.conf
#if ! grep -q 'CalibrationMatrix' $TSC; then
#	cp -f $TSC backup/touch
#	sudo sed -i 's/TransformationMatrix/CalibrationMatrix/g' $TSC
#fi
